Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.ontology
Class ProfileException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.hp.hpl.jena.shared.JenaException
                      com.hp.hpl.jena.ontology.OntologyException
                          com.hp.hpl.jena.ontology.ProfileException

All Implemented Interfaces:
  java.io.Serializable

    public class ProfileException

extends OntologyException

Exception that is raised when an ontology operation is attempted that is not present in the language profile for the current ontology model. For example, if the language profile is owl lite, class complements are not permitted and so that element of the profile is null. An attempt to create a class complement in an OWL Lite model will raise a ProfileException.

Version:
  CVS $Id: ProfileException.java,v 1.7 2008/01/02 12:06:41 andy_seaborne Exp $
Author:
  Ian Dickinson, HP Labs (email)
See Also:
  Serialized Form

Constructor Summary
`ProfileException(java.lang.String element, Profile profile)`

Method Summary

Methods inherited from class com.hp.hpl.jena.shared.JenaException
`getCause, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProfileException

    public ProfileException(java.lang.String element,
                            Profile profile)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP